#ifndef HTMLDELEGATE_H
#define HTMLDELEGATE_H

#include <QtGui/QItemDelegate>
#include <QtGui/QTextDocument>

class HtmlDelegate : public QItemDelegate
{
    Q_OBJECT


public:
    HtmlDelegate(QWidget *parent = 0, Qt::Alignment alignment = Qt::AlignCenter) : QItemDelegate(parent), align(alignment) {}

    void paint(QPainter *painter, const QStyleOptionViewItem &option,
               const QModelIndex &index) const;
    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    void setEditorData(QWidget *editor, const QModelIndex &index) const;
    void setModelData(QWidget *editor, QAbstractItemModel *model,
                      const QModelIndex &index) const;

private:
	  Qt::Alignment align;
      QRectF layoutRect(const QTextDocument & td, QRect rect) const;
};

#endif

